Generation Framework

## org.eclipse.gmf.mappings
Interface AuditRule

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleBase

All Known Implementing Classes:
  AuditRuleImpl

    public interface AuditRule

extends RuleBase

A representation of the model object 'Audit Rule'.

The following features are supported:

- `Id`
- `Rule`
- `Target`
- `Severity`
- `Use In Live Mode`
- `Message`
- `Container`

See Also:
  `GMFMapPackage.getAuditRule()`
** Generated **
Model:

Method Summary
`AuditContainer` `getContainer()` Returns the value of the 'Container' container reference.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getMessage()` Returns the value of the 'Message' attribute
`Constraint` `getRule()` Returns the value of the 'Rule' containment reference
`Severity` `getSeverity()` Returns the value of the 'Severity' attribute.
`Auditable` `getTarget()` Returns the value of the 'Target' containment reference
`boolean` `isUseInLiveMode()` Returns the value of the 'Use In Live Mode' attribute.
`void` `setContainer(AuditContainer value)` Sets the value of the '`Container`' container reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setMessage(java.lang.String value)` Sets the value of the '`Message`' attribute
`void` `setRule(Constraint value)` Sets the value of the '`Rule`' containment reference
`void` `setSeverity(Severity value)` Sets the value of the '`Severity`' attribute
`void` `setTarget(Auditable value)` Sets the value of the '`Target`' containment reference
`void` `setUseInLiveMode(boolean value)` Sets the value of the '`Use In Live Mode`' attribute

Methods inherited from interface org.eclipse.gmf.mappings.RuleBase
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute. Unique identifier of this audit rule

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `GMFMapPackage.getAuditRule_Id()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not id.oclIsUndefined() implies container.audits->one(i | i.id = self.id)' description='Audit rule with the same ID already exists'"

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`
  ** Generated **

### getRule

    Constraint getRule()

  Returns the value of the 'Rule' containment reference. A boolean type condition which if not satisfied indicates this audit rule violation. It is evaluated in the context of the target

  Returns:
    the value of the 'Rule' containment reference.
  See Also:
    `setRule(Constraint)`, `GMFMapPackage.getAuditRule_Rule()`
  ** Generated **
  Model:
    containment="true" required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ref='target'"

### setRule

    void setRule(Constraint value)

  Sets the value of the '`Rule`' containment reference.

  Parameters:
    `value` - the new value of the 'Rule' containment reference.
  See Also:
    `getRule()`
  ** Generated **

### getTarget

    Auditable getTarget()

  Returns the value of the 'Target' containment reference. The target representing the context this audit is evaluated in

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(Auditable)`, `GMFMapPackage.getAuditRule_Target()`
  ** Generated **
  Model:
    containment="true" required="true"

### setTarget

    void setTarget(Auditable value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`
  ** Generated **

### getSeverity

    Severity getSeverity()

  Returns the value of the 'Severity' attribute. The default value is `"ERROR"`. The literals are from the enumeration `Severity`. Describes the severity of this audit rule violation

  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `Severity`, `setSeverity(Severity)`, `GMFMapPackage.getAuditRule_Severity()`
  ** Generated **
  Model:
    default="ERROR"

### setSeverity

    void setSeverity(Severity value)

  Sets the value of the '`Severity`' attribute.

  Parameters:
    `value` - the new value of the 'Severity' attribute.
  See Also:
    `Severity`, `getSeverity()`
  ** Generated **

### isUseInLiveMode

    boolean isUseInLiveMode()

  Returns the value of the 'Use In Live Mode' attribute. The default value is `"false"`. Indicates if this audit should be evaluated also in Live mode. If 'false', only Batch mode is applicable

  Returns:
    the value of the 'Use In Live Mode' attribute.
  See Also:
    `setUseInLiveMode(boolean)`, `GMFMapPackage.getAuditRule_UseInLiveMode()`
  ** Generated **
  Model:
    default="false"

### setUseInLiveMode

    void setUseInLiveMode(boolean value)

  Sets the value of the '`Use In Live Mode`' attribute.

  Parameters:
    `value` - the new value of the 'Use In Live Mode' attribute.
  See Also:
    `isUseInLiveMode()`
  ** Generated **

### getMessage

    java.lang.String getMessage()

  Returns the value of the 'Message' attribute. The text message to be reported in case of this audit violation

  Returns:
    the value of the 'Message' attribute.
  See Also:
    `setMessage(String)`, `GMFMapPackage.getAuditRule_Message()`
  ** Generated **
  Model:

### setMessage

    void setMessage(java.lang.String value)

  Sets the value of the '`Message`' attribute.

  Parameters:
    `value` - the new value of the 'Message' attribute.
  See Also:
    `getMessage()`
  ** Generated **

### getContainer

    AuditContainer getContainer()

  Returns the value of the 'Container' container reference. It is bidirectional and its opposite is '`Audits`'. The containing audit container of this audit rule

  Returns:
    the value of the 'Container' container reference.
  See Also:
    `setContainer(AuditContainer)`, `GMFMapPackage.getAuditRule_Container()`, `AuditContainer.getAudits()`
  ** Generated **
  Model:
    opposite="audits" required="true" transient="false"

### setContainer

    void setContainer(AuditContainer value)

  Sets the value of the '`Container`' container reference.

  Parameters:
    `value` - the new value of the 'Container' container reference.
  See Also:
    `getContainer()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.